import { WAVersion } from '@normalized:N&&&analytics/src/main/ets/Constants&2.3.1';
import { DropReason, getDropReasonDescription } from "@normalized:N&&&analytics/src/main/ets/b/u&2.3.1";
export class DropCollectionModel {
    constructor(wa_app_id, sub_app_id, http_code, api, code, msg, retry, wa_batch_size, app_version, queue_type = "biz") {
        this.timestamp = `${Date.now()}`;
        this.wa_version = WAVersion;
        this.http_code = "-1";
        this.api = "local";
        this.code = DropReason.Unknown;
        this.msg = getDropReasonDescription(DropReason.Unknown);
        this.post_time = `${Date.now()}`;
        this.retry = "0";
        this.wa_batch_size = "0";
        this.queue_type = "biz";
        this.wa_app_id = wa_app_id;
        this.sub_app_id = sub_app_id;
        this.http_code = http_code;
        this.api = api;
        this.code = code;
        this.msg = msg;
        this.retry = retry;
        this.wa_batch_size = wa_batch_size;
        this.queue_type = queue_type;
        this.app_version = app_version;
    }
    setDropReason(reason) {
        this.code = reason;
        this.msg = getDropReasonDescription(reason);
    }
}
